UPDATE us3
LEFT JOIN us0 ON us0.p01=us3.p01
LEFT JOIN d24 ON d24.p01=us0.p410
              && d24.p02=us3.p03
              && us3.p04=d24.p01
set us3.remuser='@@@@@@@@@@'              
WHERE us3.p04={nnr01}
   && d24.nr01 is null;